/* line 6, app/assets/stylesheets/new_design/toggle-switch.scss */
.form label.toggle-switch {
  position: relative;
  display: inline-block;
  height: 24px;
  margin: 0;
  margin-right: 15px;
}

/* line 15, app/assets/stylesheets/new_design/toggle-switch.scss */
.form label.toggle-switch input[type="checkbox"] {
  opacity: 0;
  width: 0;
  height: 0;
  margin: 0;
}

/* line 23, app/assets/stylesheets/new_design/toggle-switch.scss */
.toggle-switch-control {
  position: absolute;
  width: 47px;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #CCCCCC;
  transition: 0.4s;
  border: 1px solid transparent;
}

/* line 36, app/assets/stylesheets/new_design/toggle-switch.scss */
.toggle-switch-control::before {
  position: absolute;
  content: "";
  height: 20px;
  width: 20px;
  left: 1px;
  bottom: 1px;
  background-color: #FFFFFF;
  transition: 0.4s;
}

/* line 47, app/assets/stylesheets/new_design/toggle-switch.scss */
input:checked + .toggle-switch-control {
  background-color: #138254;
}

/* line 51, app/assets/stylesheets/new_design/toggle-switch.scss */
input:focus + .toggle-switch-control {
  border-color: #0069CC;
  box-shadow: 0px 0px 2px 1px #0069CC;
}

/* line 56, app/assets/stylesheets/new_design/toggle-switch.scss */
input:checked + .toggle-switch-control::before {
  transform: translateX(23px);
}

/* line 60, app/assets/stylesheets/new_design/toggle-switch.scss */
.toggle-switch-label {
  margin-left: 47px;
  font-size: 16px;
  font-weight: normal;
}

/* line 66, app/assets/stylesheets/new_design/toggle-switch.scss */
.toggle-switch-label.on {
  color: #138254;
}

/* line 70, app/assets/stylesheets/new_design/toggle-switch.scss */
.toggle-switch-label.off {
  color: #888888;
}

/* line 74, app/assets/stylesheets/new_design/toggle-switch.scss */
.toggle-switch-checkbox:checked ~ .toggle-switch-label.off {
  display: none;
}

/* line 78, app/assets/stylesheets/new_design/toggle-switch.scss */
.toggle-switch-checkbox:not(:checked) ~ .toggle-switch-label.on {
  display: none;
}

/* line 83, app/assets/stylesheets/new_design/toggle-switch.scss */
.toggle-switch-control.round {
  border-radius: 24px;
}

/* line 87, app/assets/stylesheets/new_design/toggle-switch.scss */
.toggle-switch-control.round::before {
  border-radius: 50%;
}
